GNU Radio's TEST Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::iqbalance::fix_cc Class Reference

`#include <fix_cc.h>`

Inheritance diagram for gr::iqbalance::fix_cc:

## Public Types
typedef std::shared_ptr< fix_cc > | sptr

## Public Member Functions
| ~fix_cc ()
void | set_mag (float mag)
void | set_phase (float phase)
float | mag () const
float | phase () const
void | apply_new_corrections (pmt::pmt_t msg)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Static Public Member Functions
static sptr | make (float mag=0.0f, float phase=0.0f)

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<fix_cc> gr::iqbalance::fix_cc::sptr

## Constructor & Destructor Documentation

## ◆ ~fix_cc()

gr::iqbalance::fix_cc::~fix_cc | ( |  | ) |

## Member Function Documentation

## ◆ apply_new_corrections()

void gr::iqbalance::fix_cc::apply_new_corrections | ( | pmt::pmt_t | msg | ) |

## ◆ mag()

float gr::iqbalance::fix_cc::mag | ( |  | ) | const
| inline

## ◆ make()

static sptr gr::iqbalance::fix_cc::make | ( | float | mag = `0.0f`,
|  | float | phase = `0.0f`
| ) |  |
| static

## ◆ phase()

float gr::iqbalance::fix_cc::phase | ( |  | ) | const
| inline

## ◆ set_mag()

void gr::iqbalance::fix_cc::set_mag | ( | float | mag | ) |
| inline

## ◆ set_phase()

void gr::iqbalance::fix_cc::set_phase | ( | float | phase | ) |
| inline

## ◆ work()

int gr::iqbalance::fix_cc::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- fix_cc.h